CXX = c++
CXXFLAGS = -Wall -g
LDFLAGS= -lm

SOURCE_POINTS= points.cpp main.cpp

all: points

points: $(SOURCE_POINTS)
	$(CXX) $(CXXFLAGS) -o $@ $(SOURCE_POINTS) $(LDFLAGS)

run: points
	./points

clean:
	rm -f *.o ./points
